%define        majver       %(echo %version | cut -d. -f 1-2)
Name:          libjson-glib
Version:       1.9.2
Release:       1mamba
Summary:       Library for JavaScript Object Notation format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/JsonGlib
Source:        https://download.gnome.org/sources/json-glib/%{majver}/json-glib-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: gobject-introspection-devel

%description
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains libraries and header files needed for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains static libraries needed for development.

%package tools
Group:         System/Tools
Summary:       Tools for for JavaScript Object Notation format
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains tools based on the library.

%package apidocs
Summary:       %{name} api docunentation 
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description apidocs
%{name} is a library providing serialization and deserialization support for the JavaScript Object Notation (JSON) format.
This package contains %{name} api docunentation.

%debug_package

%prep
%setup -q -n json-glib-%{version}

%build
%meson \
   -Dgtk_doc=enabled \
   -Dman=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#mkdir -p %{buildroot}%{_datadir}/gtk-doc/html/json-glib/
#cp -a doc/reference/html/* %{buildroot}%{_datadir}/gtk-doc/html/json-glib/

%find_lang json-glib-1.0

%check
# make check

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f json-glib-1.0.lang
%defattr(-,root,root)
%{_libdir}/libjson-glib-1.0.so.*
%{_libdir}/girepository-*/Json-*.typelib
%dir %{_libexecdir}/installed-tests/json-glib-1.0
%{_libexecdir}/installed-tests/json-glib-1.0/*
%doc COPYING
#ChangeLog

%files devel
%defattr(-,root,root)
%dir %{_includedir}/json-glib-1.0/json-glib
%{_includedir}/json-glib-1.0/json-glib/json-*.h
%{_libdir}/libjson-glib-1.0.so
%{_libdir}/pkgconfig/json-glib-1.0.pc
%{_datadir}/gir-*/Json-*.gir
%dir %{_datadir}/installed-tests/json-glib-1.0
%{_datadir}/installed-tests/json-glib-1.0/*
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1*
%{_mandir}/man1/json-glib-validate.1*

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/json-glib-1.0
%{_docdir}/json-glib-1.0/*

%changelog
* Mon Jul 08 2024 Automatic Build System <autodist@openmamba.org> 1.9.2-1mamba
- automatic version update by autodist

* Sat Oct 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.6-1mamba
- update to 1.6.6

* Wed Feb 10 2021 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Thu Sep 24 2020 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic version update by autodist

* Mon Mar 13 2017 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic update by autodist

* Tue Mar 25 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 0.99.2-1mamba
- automatic version update by autodist

* Tue Sep 24 2013 Automatic Build System <autodist@mambasoft.it> 0.16.2-1mamba
- automatic update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 0.15.2-1mamba
- automatic version update by autodist

* Tue Mar 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- update to 0.14.2

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 0.12.6-1mamba
- update to 0.12.6

* Sat Apr 16 2011 Automatic Build System <autodist@mambasoft.it> 0.12.4-1mamba
- automatic update by autodist

* Tue Jan 11 2011 Automatic Build System <autodist@mambasoft.it> 0.12.2-1mamba
- automatic update by autodist

* Sat Oct 16 2010 gil <puntogil@libero.it> 0.12.0-1mamba
- update to 0.12.0

* Wed Jun 23 2010 gil <puntogil@libero.it> 0.10.4-1mamba
- update to 0.10.4

* Wed Oct 21 2009 gil <puntogil@libero.it> 0.8.0-1mamba
- update to 0.8.0

* Thu Jan 01 2009 gil <puntogil@libero.it> 0.6.2-1mamba
- package created by autospec
